> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperleap.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Conversations

> Get Conversations for feedback analysis based on filter conditions passed in.



## OpenAPI

````yaml post /feedback-report/conversations
openapi: 3.0.1
info:
  title: api.domain.ai
  version: v1
servers:
  - url: https://api.hyperleapai.com
security:
  - ApiKeyAuth: []
paths:
  /feedback-report/conversations:
    post:
      tags:
        - Feedback Report
      summary: Conversations
      description: >-
        Get Conversations for feedback analysis based on filter conditions
        passed in.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FeedbackReportRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/FeedbackReportRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/FeedbackReportRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    FeedbackReportRequest:
      required:
        - callerId
        - endDate
        - startDate
      type: object
      properties:
        callerId:
          type: string
          format: uuid
        startDate:
          type: string
          format: date-time
        endDate:
          type: string
          format: date-time
        pageSize:
          maximum: 20
          minimum: 1
          type: integer
          format: int32
        appHeaders:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        isAdmin:
          type: boolean
          readOnly: true
        organizationId:
          type: string
          format: uuid
          nullable: true
          readOnly: true
        userId:
          type: string
          format: uuid
          nullable: true
          readOnly: true
        score:
          type: integer
          format: int32
          nullable: true
        scoreText:
          type: string
          nullable: true
        scoreTags:
          type: string
          nullable: true
        promptId:
          type: string
          format: uuid
          nullable: true
        promptVersionId:
          type: string
          format: uuid
          nullable: true
        conversationId:
          type: string
          format: uuid
          nullable: true
        continuationToken:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-hl-api-key

````